> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weekday.works/llms.txt
> Use this file to discover all available pages before exploring further.

# Check API Balance

> Check Account Balance



## OpenAPI

````yaml POST /api/checkBalance
openapi: 3.1.0
info:
  title: OpenAPI Weekday API Collection
  description: Collection of all Weekday APIs using the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://prod4.weekday.technology
security:
  - bearerAuth: []
paths:
  /api/checkBalance:
    post:
      description: Check Account Balance
      responses:
        '200':
          description: checkBalance response
          content:
            application/json:
              schema:
                type: object
                properties:
                  balance:
                    type: number
                    description: Account balance
                examples:
                  - balance: 132
        '401':
          description: Unauthorized, invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error500'
components:
  schemas:
    Error401:
      allOf:
        - $ref: '#/components/schemas/Error'
        - examples:
            - status: no_authorization_found
              message: no authorization found
    Error500:
      allOf:
        - $ref: '#/components/schemas/Error'
        - examples:
            - message: internal server error
    Error:
      type: object
      properties:
        status:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````